// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "util/DawnTool.hpp"
#include "util/Xml.hpp"
#include "util/File.hpp"

namespace Dawn {
  class GeneratedLanguages : public DawnTool {
    protected:
      std::vector<std::string> getRequiredFlags() override;

      int32_t scanDir(
        std::string dir,
        std::string *error,
        std::vector<std::string> *files
      );
      
    public:
      int32_t start() override;
  };
}